Summary: GNOME Bluetooth Subsystem
Name: gnome-bluetooth
Version: 0.4.1
Release: 7
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth
Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf >= 0:2.57, bluez-libs, bluez-utils bluez-sdp >= 0:1.0
BuildRequires: glib2-devel >= 0:2.2.0, libgnomeui >= 0:2.2, libbonobo >= 0:2.0
BuildRequires: bonobo-activation >= 0:2.0, GConf2 >= 0:2.0
BuildRequires: libbtctl >= 0:0.3-4
BuildRequires: gob2, bluez-sdp-devel, openobex-devel, perl
ExcludeArch: s390 s390x
Patch0: gnome-bluetooth-0.4.1-libblue.patch
Patch1: gnome-bluetooth-0.4.1-egg.patch
Patch99: gnome-bluetooth-0.4.1-autofoo.patch

%description
This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).  Also, an OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your PC,
and save them in your home directory.

%changelog
* Wed Mar 10 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-7
- added EggToolBar patch for gcc34

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Harald Hoyer <harald@redhat.de> 0.4.1-4
- added autofoo patch

* Thu Aug 28 2003 Harald Hoyer <harald@redhat.de> 0.4.1-3
- add .so to gnome-vfs module, if libtool does not!

* Thu Aug 07 2003 Harald Hoyer <harald@redhat.de> 0.4.1-2
- call libtool finish

* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 0.4.1-1
- new version 0.4.1

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.4-1
- initial RPM

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .libblue
%patch1 -p1 -b .eggtoolbar
%patch99 -p1 -b .autofoo

perl -pi -e 's#-DGTK_DISABLE_DEPRECATED##g' $(find libegg -name Makefile.in)
#aclocal
#automake
#autoconf
#pushd libegg
#aclocal
#automake
#autoconf
#popd

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
./libtool --finish $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules

# we do not want .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth.*a
# grrr... libtool is b0rken
if [ -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth ]; then
	mv $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth \
		$RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libbluetooth.so
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/gnome-bluetooth-admin
%{_bindir}/gnome-obex-server
%{_bindir}/gnome-obex-send
%{_libdir}/gnome-vfs-2.0/modules/libbluetooth*
%{_libdir}/bonobo/servers/GNOME_Bluetooth_Manager.server
%{_libexecdir}/gnome-bluetooth-control
%{_datadir}/applications/gnome-obex-server.desktop
%{_datadir}/gnome-bluetooth
%{_datadir}/idl/GNOME_Bluetooth_Manager.idl
%{_sysconfdir}/gnome-vfs-2.0/modules/bluetooth-modules.conf

